Bug 1731905 - [backport 3.11] SDN cannot add egress IP to team interface
Summary: [backport 3.11] SDN cannot add egress IP to team interface
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: ---
: 3.11.z
Assignee: Juan Luis de Sousa-Valadas
QA Contact: huirwang
URL:
Whiteboard:
Depends On: 1746870
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 11:17 UTC by Pablo Alonso Rodriguez
Modified: 2020-09-11 13:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1746870 1746871 (view as bug list)
Environment:
Last Closed: 2020-09-11 13:02:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25164 0 None closed Bug 1731905: [backport 3.11] SDN cannot add egress IP to team interface 2020-10-14 01:57:36 UTC

Description Pablo Alonso Rodriguez 2019-07-22 11:17:05 UTC
Description of problem:

When user setups egressCIDRs 

Version-Release number of selected component (if applicable):

openshift v3.11.98

How reproducible:

Only on user environment but consistently. Not reproducible on test cluster.

Steps to Reproduce:
1. Setup egress IPs on some hostsubnets
2. Setup a netnamespace using one of them

Actual results:

IP is not added at network interface and some errors are displayed on logs. I need to add the IP manually (ip addr add $IPCIDR dev $INTERFACE) for it to work.

Expected results:

IP to be added automatically when there are both a hostsubnet and a netnamespace specifying it.


Additional info:

Interface is a team interface, but I have been doing tests in my lab and it is not reproducible there.

Comment 22 Ricardo Carrillo Cruz 2020-08-03 11:49:05 UTC
Unassigning as I'm on long vacation.

Comment 24 yaoli 2020-08-06 09:17:07 UTC
From Customer feedback there is an error

egressip.go:91] Error assigning Egress IP "xx.xx.xx.xx": egress IP "xx.xx.xx.xx" is not in local network xx.xx.xx.xx/32 of interface team0


Note You need to log in before you can comment on or make changes to this bug.